/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.ejb3.test.regression;

import javax.persistence.Entity;
import javax.persistence.GeneratorType;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Id;
import javax.persistence.InheritanceType;
import java.io.Serializable;

@Entity(name = "Contact")
@Inheritance(strategy = InheritanceType.JOINED)
public class Contact implements Serializable
{

   private long id;
   private String name;
   private String email;
   private String phone;

   public Contact()
   {
   }

   @Id(generate = GeneratorType.AUTO)
   public long getId()
   {
      return this.id;
   }

   public void setId(long id)
   {
      this.id = id;
   }

   public String getName()
   {
      return this.name;
   }

   public void setName(String name)
   {
      this.name = name;
   }

   public String getEmail()
   {
      return this.email;
   }

   public void setEmail(String email)
   {
      this.email = email;
   }

   public String getPhone()
   {
      return this.phone;
   }

   public void setPhone(String phone)
   {
      this.phone = phone;
   }
}
